# coding: utf-8
from nanpy import ArduinoApi,SerialManager
from time import sleep
import serial.tools.list_ports as port_list

#Détection/sélection du port sur lequel est branché l'Arduino
# sous Windows il pourra y avoir plusieurs ports série détectés de COM1, COM2... il faudra répondre COM2 si l'arduino est sur le COM2
# sous Linux(Ubuntu...)/Unix(MacOS) il faudra répondre /dev/tty...

ports = list(port_list.comports())
for p in ports:
    print (p)
port_arduino=input("Quel port choisissez-vous ?")
connection = SerialManager(device=port_arduino)
a = ArduinoApi(connection=connection)

port_DEL= 13
a.pinMode(port_DEL,a.OUTPUT)


while True:
    a.digitalWrite(port_DEL,a.HIGH)
    sleep(0.5)
    a.digitalWrite(port_DEL,a.LOW)
    sleep(0.5)
